## optlang 1.3.0

=== debian/changelog ===
optlang (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #889611)

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 19:27:31 -0500

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=optlang
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## optlang 1.4.1

=== debian/changelog ===
optlang (1.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Afif Elghraoui <afif@debian.org>  Sun, 22 Apr 2018 18:17:41 -0400

optlang (1.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Afif Elghraoui <afif@debian.org>  Sat, 24 Mar 2018 14:59:06 -0400

## optlang 1.4.4

=== requirements.txt ===
sympy>=1.0.0
six>=1.9.0
swiglpk>=1.4.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/optlang.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/optlang.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/optlang"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/optlang"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
optlang (1.4.4-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 11:27:40 +0200

optlang (1.4.4-1) unstable; urgency=medium

  * New upstream version

 -- Afif Elghraoui <afif@debian.org>  Sat, 26 Jan 2019 21:19:47 -0500

=== debian/control ===
Source: optlang
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper-compat (= 11),
	dh-python,
	python3-all,
	python3-setuptools,
	python3-sympy (>= 1.0.0),
	python3-six (>= 1.9.0),
	python3-swiglpk (>= 1.4.3),
	python3-nose <!nocheck>,
Standards-Version: 4.1.3
Homepage: http://optlang.readthedocs.org/
Vcs-Git: https://salsa.debian.org/science-team/optlang.git
Vcs-Browser: https://salsa.debian.org/science-team/optlang

Package: python3-optlang
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends},
Description: sympy based mathematical programming language (Python 3)
 Optlang is a Python package for solving mathematical optimization problems,
 i.e. maximizing or minimizing an objective function over a set of variables
 subject to a number of constraints. Optlang provides a common interface to a
 series of optimization tools, so different solver backends can be changed in
 a transparent way. Optlang's object-oriented API takes advantage of the
 symbolic math library sympy to allow objective functions and constraints to
 be easily formulated from symbolic expressions of variables.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=optlang
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%optlang-$1.tar.gz%" \
   https://github.com/biosustain/optlang/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## optlang 1.5.2

=== debian/changelog ===
optlang (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1008755)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Make d/python3-optlang.examples a regular file to fix build issues where
    the initial link to d/examples is erroneously recognized as an executable.

 -- Étienne Mollier <emollier@debian.org>  Fri, 08 Apr 2022 19:23:13 +0200

=== debian/control ===
Source: optlang
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sympy,
               python3-six,
               python3-swiglpk,
               python3-nose <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/optlang
Vcs-Git: https://salsa.debian.org/science-team/optlang.git
Homepage: https://optlang.readthedocs.org/
Rules-Requires-Root: no

Package: python3-optlang
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: sympy based mathematical programming language (Python 3)
 Optlang is a Python package for solving mathematical optimization problems,
 i.e. maximizing or minimizing an objective function over a set of variables
 subject to a number of constraints. Optlang provides a common interface to a
 series of optimization tools, so different solver backends can be changed in
 a transparent way. Optlang's object-oriented API takes advantage of the
 symbolic math library sympy to allow objective functions and constraints to
 be easily formulated from symbolic expressions of variables.
 .
 This package installs the library for Python 3.

## optlang 1.8.1

=== debian/changelog ===
optlang (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1058430
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 08:41:54 +0100

optlang (1.7.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.7.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add versioned B-D on swiglpk

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Sep 2023 23:38:03 +0530

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sympy,
                python3-six,
-               python3-swiglpk,
+               python3-swiglpk (>= 5.0.8-1~),
                python3-nose <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/optlang
 Vcs-Git: https://salsa.debian.org/science-team/optlang.git
 Homepage: https://optlang.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=optlang
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

## optlang 1.8.2

=== debian/changelog ===
optlang (1.8.2-3) unstable; urgency=medium

  * Team upload.
  * Patch to fix autopkgtest AssertionError in Python 3.13. (Closes: #1088761)

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 13 Dec 2024 02:55:31 +0000

optlang (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * Patch to fix symbolic expressions issue in tests
    and autopkgtest failure. (Closes: #1079740)
  * d/control: bumped Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 27 Aug 2024 21:30:00 +0000

optlang (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Remove dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Jul 2024 23:00:47 +0200

optlang (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Replaced nose with pytest in B-Depends +
    Added needed B-Depends for pytest. (Closes: #1018430)
  * d/control: replaced testsuit with autopkgtest-pkg-pybuild.
  * Added debian/pybuild.testfiles.
  * Added patch to fix floating-point arithmetic limitation
    in autopkgtests.
  * d/rules: Added PYBUILD_AFTER_BUILD to copy required test
    files to pybuild dir.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 25 May 2024 22:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sympy,
-               python3-six,
                python3-swiglpk (>= 5.0.8-1~),
-               python3-nose <!nocheck>
-Standards-Version: 4.6.2
+               python3-pytest <!nocheck>,
+               python3-jsonschema <!nocheck>,
+               python3-scipy <!nocheck>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/optlang
 Vcs-Git: https://salsa.debian.org/science-team/optlang.git
 Homepage: https://optlang.readthedocs.org/
@@ -30,5 +31,3 @@
  a transparent way. Optlang's object-oriented API takes advantage of the
  symbolic math library sympy to allow objective functions and constraints to
  be easily formulated from symbolic expressions of variables.
- .
- This package installs the library for Python 3.

## optlang 1.8.3

=== debian/changelog ===
optlang (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.3.
  * Patch to fix Python SyntaxWarning. (Closes: #1085757)
  * Drop patches that have been fixed in the new upstream version.
  * d/control: bump Standards-Version to 4.7.2.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 31 Mar 2025 16:51:33 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-pytest <!nocheck>,
                python3-jsonschema <!nocheck>,
                python3-scipy <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/optlang
 Vcs-Git: https://salsa.debian.org/science-team/optlang.git
 Homepage: https://optlang.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=optlang
export LC_ALL=C.UTF-8
export PYBUILD_AFTER_BUILD=cp -r src/optlang/tests/data {build_dir}/optlang/tests

%:
	dh $@ --buildsystem=pybuild
